supabase-postgres.git / summary / log / commit / refs
commit c741ea78bc3df7cd1747c8c8cc95b2d97fc6d6d5
Author: Beng Eu <beng@bengeu.com>
Date: Tue Dec 05 05:16:50 2023 +0000
fix: add `set -eou pipefail` and redirect stderr to stdout
ansible/files/start-envoy.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
diff --git a/ansible/files/start-envoy.sh b/ansible/files/start-envoy.sh
index 8eaae988..52997bc2 100644
--- a/ansible/files/start-envoy.sh
+++ b/ansible/files/start-envoy.sh
@@ -1,4 +1,5 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
+set -eou pipefail
# Workaround using `tee` to get `/dev/stdout` access logging to work, see:
# https://github.com/envoyproxy/envoy/issues/8297#issuecomment-620659781
-exec /opt/envoy --config-path /etc/envoy/envoy.yaml --restart-epoch "$RESTART_EPOCH" | tee
+exec /opt/envoy --config-path /etc/envoy/envoy.yaml --restart-epoch "$RESTART_EPOCH" 2>&1 | tee
[parent: c2a036ccf3c6]